"use strict";
//  COPYRIGHT:       PrimeObjects Software Inc. (C) 2022 All Right Reserved
//  COMPANY URL:     https://www.primeobjects.com/
//  CONTACT:         developer@primeobjects.com
//
//  This source is subject to the PrimeObjects License Agreements.
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.HeaderMenuItems = void 0;
var react_1 = __importDefault(require("react"));
var primeobjects_helper_util_1 = require("primeobjects-helper-util");
var lodash_1 = require("lodash");
var svg_1 = __importDefault(require("../svg"));
var a_1 = __importDefault(require("../a"));
var div_1 = __importDefault(require("../div"));
var HeaderMenuItems = function (props) {
    var href = (0, primeobjects_helper_util_1.isNonEmptyString)(props.href) ? props.href : "#";
    var mobileView = props.mobileView == true;
    var data = props.data, title = props.title;
    return (react_1.default.createElement("div", { className: "relative grid gap-5 bg-white px-5 py-5", style: mobileView ? { paddingTop: 0 } : {} },
        (0, primeobjects_helper_util_1.isNonEmptyString)(title) && (react_1.default.createElement("a", { href: href },
            react_1.default.createElement("h3", { className: "text-sm tracking-wide border border-dashed border-t-0 border-l-0  border-r-0 font-medium text-gray-500 pb-2" }, "title"))),
        (0, lodash_1.without)((0, lodash_1.map)(data, function (item, idx) {
            var _a, _b;
            var titleColor = (0, primeobjects_helper_util_1.isNonEmptyString)(item.titleColor)
                ? item.titleColor
                : primeobjects_helper_util_1.COLORS.GRAY[900];
            var descColor = (0, primeobjects_helper_util_1.isNonEmptyString)(item.descColor)
                ? item.descColor
                : primeobjects_helper_util_1.COLORS.GRAY[500];
            var target = (0, primeobjects_helper_util_1.isNonEmptyString)(item.target)
                ? item.target
                : "_self";
            if ((0, lodash_1.isNil)(item.title) && (0, lodash_1.isNil)(item.description)) {
                item.title = "Need title or description";
            }
            var Item = (0, primeobjects_helper_util_1.isNonEmptyString)(item.href) ? a_1.default : div_1.default;
            var hasIcon = (0, primeobjects_helper_util_1.isNonEmptyString)(item.icon);
            var className = (_a = item.className) !== null && _a !== void 0 ? _a : "";
            var style = item.style && {};
            var textClassName = (_b = item.textClassName) !== null && _b !== void 0 ? _b : "";
            var textStyle = item.textStyle && {};
            return (item === null || item === void 0 ? void 0 : item.hidden) ? null : (react_1.default.createElement(Item, { key: idx, target: target, href: item.href, onClick: item.onClick, className: "-m-3 p-3 flex items-center rounded-lg hover:bg-gray-50 ".concat(className), style: style },
                hasIcon && (react_1.default.createElement(svg_1.default, { src: item.icon, size: 16, color: titleColor, style: { minHeight: 20, marginTop: 2 }, className: "flex-shrink-0 h-6 w-6" })),
                react_1.default.createElement("div", { className: "".concat(hasIcon ? "ml-4" : ""), style: { minHeight: 20 } },
                    (0, primeobjects_helper_util_1.isNonEmptyString)(item.title) ? (react_1.default.createElement("p", { className: "text-base font-medium mb-0 ".concat(textClassName), style: __assign({ color: titleColor }, textStyle) }, item.title)) : (item.title),
                    (0, primeobjects_helper_util_1.isNonEmptyString)(item.description) ? (react_1.default.createElement("p", { className: "mt-1 text-sm my-1", style: { color: descColor } }, item.description)) : (item.description))));
        }), null)));
};
exports.HeaderMenuItems = HeaderMenuItems;
exports.default = exports.HeaderMenuItems;
//# sourceMappingURL=menu-items.js.map