"use strict";
//  COPYRIGHT:       PrimeObjects Software Inc. (C) 2022 All Right Reserved
//  COMPANY URL:     https://www.primeobjects.com/
//  CONTACT:         developer@primeobjects.com
//
//  This source is subject to the PrimeObjects License Agreements.
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Lottie = exports.LottieInternal = void 0;
var react_1 = __importStar(require("react"));
var lottie_colorify_1 = require("lottie-colorify");
var core_1 = require("primeobjects-helper-util/build/cjs/core");
var LottieInternal = function (props) {
    var url = props.url, colors = props.colors, loop = props.loop, autoplay = props.autoplay, id = props.id, divProps = __rest(props, ["url", "colors", "loop", "autoplay", "id"]);
    var ref = (0, react_1.useRef)(null);
    var lottie = (0, react_1.useRef)(null);
    var cacheKey = "lottie-".concat(url, "-").concat(loop, "-").concat(autoplay, "-").concat(id);
    (0, react_1.useEffect)(function () {
        Promise.resolve().then(function () { return __importStar(require("lottie-web")); }).then(function (Lottie) {
            lottie.current = Lottie.default;
        });
    }, []);
    (0, react_1.useEffect)(function () {
        if (lottie && ref.current) {
            fetch(url)
                .then(function (response) {
                return response.json();
            })
                .then(function (data) {
                var _a;
                if (ref.current) {
                    var animation = (0, core_1.getGlobalObject)()[cacheKey];
                    (animation === null || animation === void 0 ? void 0 : animation.destroy) && (animation === null || animation === void 0 ? void 0 : animation.destroy());
                    (0, core_1.getGlobalObject)()[cacheKey] =
                        (_a = lottie.current) === null || _a === void 0 ? void 0 : _a.loadAnimation({
                            container: ref.current,
                            renderer: "svg",
                            loop: loop != false,
                            autoplay: autoplay != false,
                            // path to your animation file, place it inside public folder
                            animationData: (0, lottie_colorify_1.colorify)(colors ? colors : [], data)
                        });
                }
            })
                .catch(function (err) {
                console.error("Failed to load lottie file ".concat(url) + err);
            });
        }
        return function () {
            var animation = (0, core_1.getGlobalObject)()[cacheKey];
            (animation === null || animation === void 0 ? void 0 : animation.destroy) && (animation === null || animation === void 0 ? void 0 : animation.destroy());
        };
    }, [cacheKey]);
    return react_1.default.createElement("div", __assign({}, divProps, { ref: ref }));
};
exports.LottieInternal = LottieInternal;
exports.Lottie = react_1.default.memo(exports.LottieInternal);
exports.default = exports.Lottie;
//# sourceMappingURL=lottie.js.map