"use strict";
//  COPYRIGHT:       PrimeObjects Software Inc. (C) 2022 All Right Reserved
//  COMPANY URL:     https://www.primeobjects.com/
//  CONTACT:         developer@primeobjects.com
//
//  This source is subject to the PrimeObjects License Agreements.
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.RedirectButton = void 0;
var react_1 = __importStar(require("react"));
var lodash_1 = require("lodash");
var lottie_1 = __importDefault(require("./lottie"));
var colors_1 = require("primeobjects-helper-util/build/cjs/colors");
var resize_detector_div_1 = require("./resize-detector-div");
var core_1 = require("primeobjects-helper-util/build/cjs/core");
var navigation_1 = require("next/navigation");
var RedirectButton = function (props) {
    var delaySeconds = props.delaySeconds, targetUrl = props.targetUrl, color = props.color, onRedirect = props.onRedirect, divPros = __rest(props, ["delaySeconds", "targetUrl", "color", "onRedirect"]);
    var _a = (0, react_1.useState)(false), leaving = _a[0], setLeaving = _a[1];
    var _b = (0, react_1.useState)({ width: 0, height: 0 }), size = _b[0], setSize = _b[1];
    var router = (0, navigation_1.useRouter)();
    var onClick = function () {
        if (leaving)
            return;
        setLeaving(true);
        (0, lodash_1.delay)(onRedirect
            ? onRedirect
            : function () {
                if (targetUrl && (0, core_1.isNonEmptyString)(targetUrl)) {
                    router.push(targetUrl);
                }
            }, delaySeconds ? delaySeconds * 1000 : 1000);
    };
    var onDetect = function (width, height) {
        setSize({ width: width, height: height });
    };
    return (react_1.default.createElement(resize_detector_div_1.ResizeDetectorDiv, __assign({}, divPros, { style: __assign(__assign(__assign({}, props.style), (leaving
            ? { padding: 0, backgroundColor: colors_1.COLORS.WHITE }
            : {})), { cursor: leaving ? "not-allowed" : "pointer" }), onClick: onClick, onDetect: onDetect }),
        react_1.default.createElement("div", { style: { width: size.width, height: size.height }, className: "".concat(leaving ? "" : "hidden") },
            react_1.default.createElement(lottie_1.default, { className: "w-full h-full", url: "/icons/platform/lottie/dots-2.json", colors: Array(6).fill(props.color ? props.color : colors_1.COLORS.GRAY[400]) })),
        !leaving && props.children));
};
exports.RedirectButton = RedirectButton;
exports.default = exports.RedirectButton;
//# sourceMappingURL=redirect-button.js.map