"use strict";
//  COPYRIGHT:       PrimeObjects Software Inc. (C) 2022 All Right Reserved
//  COMPANY URL:     https://www.primeobjects.com/
//  CONTACT:         developer@primeobjects.com
//
//  This source is subject to the PrimeObjects License Agreements.
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Tooltip = void 0;
var react_1 = __importStar(require("react"));
var lodash_1 = require("lodash");
var WRAPPER_STYLE = {
    position: "absolute",
    maxWidth: 250,
    width: "max-content",
    bottom: "100%",
    left: "50%",
    marginBottom: "10px",
    padding: "5px 8px",
    WebkitTransform: "translateX(-50%)",
    msTransform: "translateX(-50%)",
    OTransform: "translateX(-50%)",
    transform: "translateX(-50%)",
    borderRadius: 5
};
var TEXT_STYLE = {
    display: "inline",
    padding: 2,
    float: "left"
};
var ARROW_STYLE = {
    position: "absolute",
    width: "0",
    height: "0",
    bottom: "-5px",
    left: "50%",
    marginLeft: "-5px",
    borderLeft: "solid transparent 5px",
    borderRight: "solid transparent 5px"
};
var Tooltip = function (props) {
    var title = props.title;
    var color = props.color ? props.color : "#333333";
    var textColor = props.textColor ? props.textColor : "#ffffff";
    var wrapperClassName = props.wrapperClassName
        ? props.wrapperClassName
        : "";
    var wrapperStyle = __assign(__assign(__assign({}, WRAPPER_STYLE), { background: color }), (props.wrapperStyle ? props.wrapperStyle : {}));
    var textStyle = __assign(__assign(__assign({}, TEXT_STYLE), { background: color, color: textColor }), (props.textStyle ? props.textStyle : {}));
    var arrowStyle = __assign(__assign({}, ARROW_STYLE), { borderTop: "solid ".concat(color, " 5px") });
    var _a = (0, react_1.useState)(false), show = _a[0], setShow = _a[1];
    return (react_1.default.createElement("div", { onMouseEnter: function () {
            setShow(true);
        }, onMouseLeave: function () {
            setShow(false);
        }, style: {
            position: "relative"
        }, className: wrapperClassName },
        props.children,
        show && (react_1.default.createElement("div", { style: wrapperStyle },
            react_1.default.createElement("div", { style: textStyle }, title ? ((0, lodash_1.isString)(title) ? title.trim() : title) : ""),
            react_1.default.createElement("div", { style: arrowStyle })))));
};
exports.Tooltip = Tooltip;
exports.default = exports.Tooltip;
//# sourceMappingURL=tooltip.js.map