import { CSSProperties } from "react";
export type TAvatarMenuItem = {
    title: string;
    onClick: () => void;
};
export type TAvatarProps = {
    wrapperClassName?: string;
    wrapperStyle?: CSSProperties;
    userClassName?: string;
    userStyle?: CSSProperties;
    countWrapperStyle?: CSSProperties;
    countStyle?: CSSProperties;
    nameStyle?: CSSProperties;
    nameClass?: string;
    imgClass?: string;
    imgStyle?: CSSProperties;
    svgStyle?: CSSProperties;
    hide?: boolean;
    count?: number;
    size?: number;
    color?: string;
    borderColor?: string;
    backgroundColor?: string;
    data?: Record<string, any>;
    menuItems?: TAvatarMenuItem[];
    menuPosition?: "left" | "right";
    colorFromName?: boolean;
    showName?: boolean;
    nameGradientAreaWidth?: number;
    nameGradientStages?: number[];
    nameGradientColorRGB?: {
        r: number;
        g: number;
        b: number;
    };
    nameOnChangeOverflow?: (overflow: boolean) => void;
    onClick?: (data: Record<string, any>) => void;
};
export declare const Avatar: (props: TAvatarProps) => JSX.Element | null;
export default Avatar;
