//  COPYRIGHT:       PrimeObjects Software Inc. (C) 2022 All Right Reserved
//  COMPANY URL:     https://www.primeobjects.com/
//  CONTACT:         developer@primeobjects.com
//
//  This source is subject to the PrimeObjects License Agreements.
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import React from "react";
import { COLORS, isNonEmptyString } from "primeobjects-helper-util";
import { map, without, isNil } from "lodash";
import SVG from "../svg";
import A from "../a";
import Div from "../div";
export var HeaderMenuItems = function (props) {
    var href = isNonEmptyString(props.href) ? props.href : "#";
    var mobileView = props.mobileView == true;
    var data = props.data, title = props.title;
    return (React.createElement("div", { className: "relative grid gap-5 bg-white px-5 py-5", style: mobileView ? { paddingTop: 0 } : {} },
        isNonEmptyString(title) && (React.createElement("a", { href: href },
            React.createElement("h3", { className: "text-sm tracking-wide border border-dashed border-t-0 border-l-0  border-r-0 font-medium text-gray-500 pb-2" }, "title"))),
        without(map(data, function (item, idx) {
            var _a, _b;
            var titleColor = isNonEmptyString(item.titleColor)
                ? item.titleColor
                : COLORS.GRAY[900];
            var descColor = isNonEmptyString(item.descColor)
                ? item.descColor
                : COLORS.GRAY[500];
            var target = isNonEmptyString(item.target)
                ? item.target
                : "_self";
            if (isNil(item.title) && isNil(item.description)) {
                item.title = "Need title or description";
            }
            var Item = isNonEmptyString(item.href) ? A : Div;
            var hasIcon = isNonEmptyString(item.icon);
            var className = (_a = item.className) !== null && _a !== void 0 ? _a : "";
            var style = item.style && {};
            var textClassName = (_b = item.textClassName) !== null && _b !== void 0 ? _b : "";
            var textStyle = item.textStyle && {};
            return (item === null || item === void 0 ? void 0 : item.hidden) ? null : (React.createElement(Item, { key: idx, target: target, href: item.href, onClick: item.onClick, className: "-m-3 p-3 flex items-center rounded-lg hover:bg-gray-50 ".concat(className), style: style },
                hasIcon && (React.createElement(SVG, { src: item.icon, size: 16, color: titleColor, style: { minHeight: 20, marginTop: 2 }, className: "flex-shrink-0 h-6 w-6" })),
                React.createElement("div", { className: "".concat(hasIcon ? "ml-4" : ""), style: { minHeight: 20 } },
                    isNonEmptyString(item.title) ? (React.createElement("p", { className: "text-base font-medium mb-0 ".concat(textClassName), style: __assign({ color: titleColor }, textStyle) }, item.title)) : (item.title),
                    isNonEmptyString(item.description) ? (React.createElement("p", { className: "mt-1 text-sm my-1", style: { color: descColor } }, item.description)) : (item.description))));
        }), null)));
};
export default HeaderMenuItems;
//# sourceMappingURL=menu-items.js.map