//  COPYRIGHT:       PrimeObjects Software Inc. (C) 2022 All Right Reserved
//  COMPANY URL:     https://www.primeobjects.com/
//  CONTACT:         developer@primeobjects.com
//
//  This source is subject to the PrimeObjects License Agreements.
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React, { useEffect, useRef } from "react";
import { colorify } from "lottie-colorify";
import { getGlobalObject } from "primeobjects-helper-util/build/cjs/core";
export var LottieInternal = function (props) {
    var url = props.url, colors = props.colors, loop = props.loop, autoplay = props.autoplay, id = props.id, divProps = __rest(props, ["url", "colors", "loop", "autoplay", "id"]);
    var ref = useRef(null);
    var lottie = useRef(null);
    var cacheKey = "lottie-".concat(url, "-").concat(loop, "-").concat(autoplay, "-").concat(id);
    useEffect(function () {
        import("lottie-web").then(function (Lottie) {
            lottie.current = Lottie.default;
        });
    }, []);
    useEffect(function () {
        if (lottie && ref.current) {
            fetch(url)
                .then(function (response) {
                return response.json();
            })
                .then(function (data) {
                var _a;
                if (ref.current) {
                    var animation = getGlobalObject()[cacheKey];
                    (animation === null || animation === void 0 ? void 0 : animation.destroy) && (animation === null || animation === void 0 ? void 0 : animation.destroy());
                    getGlobalObject()[cacheKey] =
                        (_a = lottie.current) === null || _a === void 0 ? void 0 : _a.loadAnimation({
                            container: ref.current,
                            renderer: "svg",
                            loop: loop != false,
                            autoplay: autoplay != false,
                            // path to your animation file, place it inside public folder
                            animationData: colorify(colors ? colors : [], data)
                        });
                }
            })
                .catch(function (err) {
                console.error("Failed to load lottie file ".concat(url) + err);
            });
        }
        return function () {
            var animation = getGlobalObject()[cacheKey];
            (animation === null || animation === void 0 ? void 0 : animation.destroy) && (animation === null || animation === void 0 ? void 0 : animation.destroy());
        };
    }, [cacheKey]);
    return React.createElement("div", __assign({}, divProps, { ref: ref }));
};
export var Lottie = React.memo(LottieInternal);
export default Lottie;
//# sourceMappingURL=lottie.js.map