//  COPYRIGHT:       PrimeObjects Software Inc. (C) 2022 All Right Reserved
//  COMPANY URL:     https://www.primeobjects.com/
//  CONTACT:         developer@primeobjects.com
//
//  This source is subject to the PrimeObjects License Agreements.
import nookies from "nookies";
import { isObject } from "primeobjects-helper-util/build/cjs/core";
import { isNil, isInteger } from "lodash";
export var getCookie = function (name, ctx) {
    var o = nookies.get(ctx);
    if (!isObject(o))
        return "";
    var v = nookies.get(ctx)[name];
    return v ? v : "";
};
export var setCookie = function (name, value, ctx, maxAgeMins) {
    if (isNil(maxAgeMins) || !isInteger(maxAgeMins))
        maxAgeMins = 360;
    var option = { path: "/", maxAge: maxAgeMins * 60 };
    nookies.set(ctx, name, value, option);
};
export var removeCookie = function (name, ctx) {
    nookies.destroy(ctx, name, { path: "/" });
};
//# sourceMappingURL=cookie.js.map